* {
    margin: 0;
    padding: 0;
}

header {
    margin: 20px;
    text-align: center;
}

.contain {
    padding-top: 3rem;
    width: 710px;
    margin: auto auto;
    overflow: hidden;
}

.contain img{
    padding-left: 20px;
    width: 220px;
}

.contain2{
    padding-top: 3rem;
    width: 1245px;
    margin: auto auto;
    overflow: hidden;
}

.contain2 img{
    padding-left: 20px;
    width: 400px;
    height: 260px;
}

@media (max-width: 1400px){
    .contain {
        padding-top: 3rem;
        width: 620px;
        margin: 0 auto;
        overflow: hidden;
    }

    .contain img{
        padding-left: 20px;
        width: 190px;
    }

    .contain2{
        padding-top: 3rem;
        width: 1040px;
        margin: 0 auto;
        overflow: hidden;
    }

    .contain2 img{
        padding-left: 20px;
        width: 330px;
        height: 220px;
    }
}

.single {
    width: 100%;
    height: 100%;
    position: relative;
    font-size: 0;
}

.pre {
    position: absolute;
    width: 20px;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    cursor: pointer;
}

.pre:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.pre::before {
    content: "";
    width: 12px;
    height: 12px;
    border: solid #fff;
    border-width: 2px 0 0 2px;
    transform: translate(-50%, -50%) rotate(-45deg);
    position: absolute;
    left: 70%;
    top: 50%;
}

.next {
    position: absolute;
    width: 20px;
    height: 100%;
    right: 0px;
    background-color: rgba(0, 0, 0, 0.5);
    cursor: pointer;
}

.next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.next::before {
    content: "";
    width: 12px;
    height: 12px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: translate(-50%, -50%) rotate(-45deg);
    position: absolute;
    left: 30%;
    top: 50%;
}

.single ul {
    list-style: none;
    white-space: nowrap;
    display: inline-block;
}

.single ul li {
    display: inline-block;
}

img {
    vertical-align: top;
}

